package com.jah0wl.catan.items;

import javax.microedition.lcdui.Graphics;
import com.jah0wl.utils.Hexagon;

public abstract class Item extends Hexagon{

	private int position;
	private int[] color = new int[3];
	
	// Constructor
	public Item(int x, int y, int r, int pos, int[] c){
		super(x,y,r);
		position = pos;
		color=c;
	}
	
	public void setPosition(int p){
		this.position =p;
	}
	
	public int getPosition(){
		return position;
	}

	public void setColor(int[] c){
		this.color=c;
	}	
	
	public int[] getColor(){
		return color;
	}	
	
	public abstract void paint(Graphics g);
}